# Test goal: TOS combining DG and sorption.
# Author: Jan Stebel / Pavel Exner
# Source for reference:
#   - qualitative, check in Paraview
#   - simple convective transport from right to left
#   - same as test 03, but using DG instead of FV
flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: TOS combining DG and sorption.
  mesh:
    mesh_file: ../00_mesh/rectangle_5x1.msh
  flow_equation: !Flow_Darcy_LMH
    input_fields:
      - region: rectangle
        conductivity: 0.125
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: x
    output:
      fields:
        - pressure_p0
        - velocity_p0
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-07
    output_stream:
      file: test_20.pvd
      format: !vtk
        variant: ascii
  solute_equation: !Coupling_OperatorSplitting
    substances:
      - A
    transport: !Solute_AdvectionDiffusion_DG
      input_fields:
        - region: ALL
          init_conc: 0
          porosity: 0.25
        - region: .BOUNDARY
          bc_conc: !FieldFormula
            value: 0.05*t
      solver: !Petsc
        a_tol: 1.0e-07
    output_stream:
      file: transport_test_20.pvd
      format: !vtk
        variant: ascii
      times:
        - step: 0.5
    time:
      end_time: 15.0
    reaction_term: !Sorption
      solvent_density: 1.0
      substances:
        - A
      solubility: 1.0
      input_fields:
        - region: ALL
          rock_density: 1.0
          sorption_type: linear
          distribution_coefficient: 0.6
          isotherm_other: 0
      output:
        fields: []
    balance:
      cumulative: true
